@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-info-list-information-panel [componentData]="componentData">
          </sqtm-app-info-list-information-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'options'"
          sqtmCoreAnchorLastPanel
          [sqtmCoreAnchorCollapsePanel]="'options'"
          [nzHeader]="optionsTitle"
          [nzExtra]="optionsGridButtons"
        >
          <ng-template #optionsTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.option.label.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-info-list-items-panel> </sqtm-app-info-list-items-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <ng-template #optionsGridButtons>
        <div class="admin-view-panel-buttons">
          <div [attr.data-test-button-id]="'add-item'">
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.entity.option.tooltips.add-option' | translate
              "
              nzTooltipPlacement="top"
              (click)="addOptions($event)"
            >
            </i>
          </div>
          <sqtm-core-toggle-icon
            [attr.data-test-button-id]="'remove-items'"
            [active]="infoListItemsGridService.hasSelectedRows$ | async"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:delete"
              nzTheme="outline"
              nz-tooltip
              class="action-icon-size"
              [nzTooltipTitle]="
                'sqtm-core.entity.option.tooltips.delete-options' | translate
              "
              nzTooltipPlacement="topRight"
              (click)="deleteOptions($event)"
            ></i>
          </sqtm-core-toggle-icon>
        </div>
      </ng-template>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
